Bug 189590 - [PATCH] buggy check of a write() return value in qsub
[PATCH] buggy check of a write() return value in qsub
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: torque (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Garrick Staples
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 09:22 EDT by Fabrice Bellet
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1.0p0-0.10.200604211036cvs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 13:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2006-04-21 09:22:07 EDT
Hi,

this patch makes qsub happy :

--- torque-2.1.0p0-snap.200604171430/src/cmds/qsub.c.orig       2006-04-06
23:56:32.000000000 +0200
+++ torque-2.1.0p0-snap.200604171430/src/cmds/qsub.c    2006-04-21
14:28:47.000000000 +0200
@@ -1669,7 +1669,7 @@
     wsz.ws_xpixel,
     wsz.ws_ypixel);

-  if (write(sock,buf,PBS_TERM_BUF_SZ) != sock,buf,PBS_TERM_BUF_SZ)
+  if (write(sock,buf,PBS_TERM_BUF_SZ) != PBS_TERM_BUF_SZ)
     {
     perror("sending winsize");

Note You need to log in before you can comment on or make changes to this bug.